Class | RSS::Maker::RSS10::Items::Item
In: | rss/maker/trackback.rb rss/maker/image.rb rss/maker/dublincore.rb rss/maker/1.0.rb
Parent: | Object

### Methods

have_required_values? to_rss

### Classes and Modules

Class RSS::Maker::RSS10::Items::Item::Categories
Class RSS::Maker::RSS10::Items::Item::Enclosure
Class RSS::Maker::RSS10::Items::Item::Guid
Class RSS::Maker::RSS10::Items::Item::ImageItem
Class RSS::Maker::RSS10::Items::Item::Source
Class RSS::Maker::RSS10::Items::Item::TrackBackAbouts

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/1.0.rb, line 154
              def have_required_values?
                @title and @link
              end

to_rss(rss)

[Source]

    # File rss/maker/1.0.rb, line 142
              def to_rss(rss)
                if @link
                  item = RDF::Item.new(@link)
                  set = setup_values(item)
                  if set
                    item.dc_dates.clear
                    rss.items << item
                    setup_other_elements(rss)
                  end
                end
              end

[Validate]